Package org.apache.solr.client.solrj.request

## Class ClusterApi.MigrateReplicas

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<ClusterApi.MigrateReplicasResponse>
  - - org.apache.solr.client.solrj.request.ClusterApi.MigrateReplicas

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ClusterApi

    public static class ClusterApi.MigrateReplicas
    extends SolrRequest<ClusterApi.MigrateReplicasResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`MigrateReplicas()` Create a MigrateReplicas request object.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ClusterApi.MigrateReplicasResponse` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`SolrRequest.ApiVersion` `getApiVersion()` Indicates which API version this request will make
`RequestWriter.ContentWriter` `getContentWriter​(String _expectedTypeIGNORE)` If a request object wants to do a push write, implement this method.
`SolrParams` `getParams()`
`Set<String>` `getQueryParams()` Parameter keys that are sent via the query string
`String` `getRequestType()` This method defines the type of this Solr request.
`ResponseParser` `getResponseParser()`
`void` `setAsync​(String async)`
`void` `setSourceNodes​(Set<String> sourceNodes)`
`void` `setTargetNodes​(Set<String> targetNodes)`
`void` `setWaitForFinalState​(Boolean waitForFinalState)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getHeaders, getMethod, getPath, getPreferredNodes, getStreamingResponseCallback, getUserPrincipal, process, process, requiresCollection, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MigrateReplicas

    public MigrateReplicas()

Create a MigrateReplicas request object.

### Method Detail

#### setSourceNodes

    public void setSourceNodes​(Set<String> sourceNodes)

Parameters:
  `sourceNodes` - The set of nodes which all replicas will be migrated off of.

#### setTargetNodes

    public void setTargetNodes​(Set<String> targetNodes)

Parameters:
  `targetNodes` - A set of nodes to migrate the replicas to. If this is not provided, then the API will use the live data nodes not in 'sourceNodes'.

#### setWaitForFinalState

    public void setWaitForFinalState​(Boolean waitForFinalState)

Parameters:
  `waitForFinalState` - If true, the request will complete only when all affected replicas become active. If false, the API will return the status of the single action, which may be before the new replicas are online and active.

#### setAsync

    public void setAsync​(String async)

Parameters:
  `async` - Request ID to track this action which will be processed asynchronously.

#### getContentWriter

    public RequestWriter.ContentWriter getContentWriter​(String _expectedTypeIGNORE)

Description copied from class: `SolrRequest`
If a request object wants to do a push write, implement this method.

Overrides:
  `getContentWriter` in class `SolrRequest<ClusterApi.MigrateReplicasResponse>`
Parameters:
  `_expectedTypeIGNORE` - This is the type that the RequestWriter would like to get. But, it is OK to send any format

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<ClusterApi.MigrateReplicasResponse>`

#### getApiVersion

    public SolrRequest.ApiVersion getApiVersion()

Description copied from class: `SolrRequest`
Indicates which API version this request will make

Defaults implementation returns 'V1'.

Overrides:
  `getApiVersion` in class `SolrRequest<ClusterApi.MigrateReplicasResponse>`

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<ClusterApi.MigrateReplicasResponse>`

#### getQueryParams

    public Set<String> getQueryParams()

Description copied from class: `SolrRequest`
Parameter keys that are sent via the query string

Overrides:
  `getQueryParams` in class `SolrRequest<ClusterApi.MigrateReplicasResponse>`

#### createResponse

    protected ClusterApi.MigrateReplicasResponse createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<ClusterApi.MigrateReplicasResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getResponseParser

    public ResponseParser getResponseParser()

Overrides:
  `getResponseParser` in class `SolrRequest<ClusterApi.MigrateReplicasResponse>`
Returns:
  The `ResponseParser`